libdb5.3++_5.3.28-11_amd64.deb


Advertisement

Description

libdb5.3++ - Berkeley v5.3 Database Libraries for C++ [runtime]

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libdb5.3++_5.3.28-11_amd64.deb
Package name libdb5.3++
Package version 5.3.28
Package release 11
Package architecture amd64
Package type deb
Category libs
Homepage http://www.oracle.com/technetwork/database/database-technologies/berkeleydb/overview/index.html
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 685.06 KB
Installed size 1.85 MB
This is the runtime package for programs that use the Berkeley v5.3
database library.  This is only for programs which use the C++ interface.

Alternatives

Package Version Architecture Repository
libdb5.3++_5.3.28-11ubuntu0.2_i386.deb 5.3.28 i386 Ubuntu Updates Main
libdb5.3++_5.3.28-11ubuntu0.2_amd64.deb 5.3.28 amd64 Ubuntu Updates Main
libdb5.3++_5.3.28-11_i386.deb 5.3.28 i386 Ubuntu Main
libdb5.3++ - - -

Requires

Name Value
libc6 >= 2.17
libdb5.3 = 5.3.28-11
libgcc1 >= 1:4.1.1
libstdc++6 >= 4.2.1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libdb5.3++_5.3.28-11_amd64.deb
Source Package db5.3

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libdb5.3++ deb package:
    # sudo apt-get install libdb5.3++

Files

Path
/usr/lib/x86_64-linux-gnu/libdb_cxx-5.3.so
/usr/share/doc/libdb5.3++
/usr/share/lintian/overrides/libdb5.3++

Changelog

2015-08-25 - Ondřej Surý <ondrej@debian.org>
db5.3 (5.3.28-11) unstable; urgency=medium
* Fix gitweb URL (Closes: #793114)
2015-08-25 - Ondřej Surý <ondrej@debian.org>
db5.3 (5.3.28-10) unstable; urgency=medium
* Update Berkeley DB Homepage (as it looks like the longer URL the better...)
* Bump standards version to 3.9.6 (no change)
2014-12-31 - Ondřej Surý <ondrej@debian.org>
db5.3 (5.3.28-9) unstable; urgency=medium
* Bump required debhelper version to 9.20141221~ to it correctly set
${misc:Pre-Depends}
* Drop Build-Depends on dpkg-dev that's not needed
2014-12-30 - Ondřej Surý <ondrej@debian.org>
db5.3 (5.3.28-8) unstable; urgency=medium
* Force dpkg-dev to 1.17.22 to have correct Pre-Depends (Closes: #773806)
2014-12-04 - Ondřej Surý <ondrej@debian.org>
db5.3 (5.3.28-7) unstable; urgency=medium
* Fix typo in libdb5.3-java.maintscript (Closes: #771877)
2014-08-25 - Ondřej Surý <ondrej@debian.org>
db5.3 (5.3.28-6) unstable; urgency=medium
* Don't build java bindings on m68k (Closes: 719842)
* Make libdb5.3-java binNMUable (Closes: #759041)
2014-06-27 - Ondřej Surý <ondrej@debian.org>
db5.3 (5.3.28-5) unstable; urgency=medium
[ Mauricio Faria de Oliveira ]
* Run libtoolize in dist/ (to actually update dist/aclocal.m4) (Closes: #750481)
* Run libtoolize and autoconf in lang/sql/sqlite/ (to build sqlite shared libraries),
with autoconf performed by dist/s_config (patch: 008-autoconf-in-lang-sql-sqlite).
* Accordingly, update the clean and override_dh_auto_configure targets.
* Small fixes to the test-file/dir/exist operators and rmdir '-f' argument.
2014-06-23 - Ondřej Surý <ondrej@debian.org>
db5.3 (5.3.28-4) unstable; urgency=medium
* Add fix for ppc 64K pages needed for OpenLDAP (Courtesy of Cedric Le Goater)
* Bump Berkeley DB version in the manpages (Closes: #741991)
* Add dh_autoreconf call to support builds on new architectures
(Closes: #750481)
* Only install build_signature_*.txt when building it. (Closes: #752368)
(Courtesy of Helmut Grohne)
2013-10-28 - Ondřej Surý <ondrej@debian.org>
db5.3 (5.3.28-3) unstable; urgency=low
* Reduce duplicate static libraries in libdb5.3{++,-sql,-stl,-tcl}-dev
2013-10-27 - Ondřej Surý <ondrej@debian.org>
db5.3 (5.3.28-2) unstable; urgency=low
* Enable GCJ native arch on all architectures again

See Also

Package Description
libdb5.3-dev_5.3.28-11_amd64.deb Berkeley v5.3 Database Libraries [development]
libdb5.3-java-dev_5.3.28-11_amd64.deb Berkeley v5.3 Database Libraries for Java [development]
libdb5.3-java-gcj_5.3.28-11_amd64.deb Berkeley v5.3 Database Libraries for Java (native code)
libdb5.3-java-jni_5.3.28-11_amd64.deb Berkeley v5.3 Database Libraries for Java
libdb5.3-java_5.3.28-11_all.deb Berkeley v5.3 Database Libraries for Java
libdb5.3-sql-dev_5.3.28-11_amd64.deb Berkeley v5.3 Database Libraries [SQL development]
libdb5.3-sql_5.3.28-11_amd64.deb Berkeley v5.3 Database Libraries [SQL runtime]
libdb5.3-stl-dev_5.3.28-11_amd64.deb Berkeley v5.3 Database Libraries [STL development]
libdb5.3-stl_5.3.28-11_amd64.deb Berkeley v5.3 Database Libraries [STL runtime]
libdb5.3_5.3.28-11_amd64.deb Berkeley v5.3 Database Libraries [runtime]
libdbd-freetds_0.9.0-3ubuntu2_amd64.deb Freetds database server driver for libdbi
libdbd-mysql_0.9.0-3ubuntu2_amd64.deb MySQL database server driver for libdbi
libdbd-pgsql_0.9.0-3ubuntu2_amd64.deb PostgreSQL database server driver for libdbi
libdbd-sqlite3_0.9.0-3ubuntu2_amd64.deb SQLite3 database driver for libdbi
libdbi-dev_0.9.0-4_amd64.deb DB Independent Abstraction Layer for C -- development files
Advertisement
Advertisement